#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSNestedDeclarations = 1232,
  CSSPageDescriptors = 1254,
  CSSPageRule = 1273,
  CSSPositionTryDescriptors = 1285,
  CSSPositionTryRule = 1311,
  CSSPropertyRule = 1330,
  CSSPseudoElement = 1346,
  CSSRule = 1363,
  CSSRuleList = 1371,
  CSSScopeRule = 1383,
  CSSStartingStyleRule = 1396,
  CSSStyleDeclaration = 1417,
  CSSStyleRule = 1437,
  CSSStyleSheet = 1450,
  CSSSupportsRule = 1464,
  CSSTransition = 1480,
  Cache = 1494,
  CacheStorage = 1500,
  CallbackDebuggerNotification = 1513,
  CanonicalBrowsingContext = 1542,
  CanvasCaptureMediaStream = 1567,
  CanvasGradient = 1592,
  CanvasPattern = 1607,
  CanvasRenderingContext2D = 1621,
  CaretPosition = 1646,
  CaretStateChangedEvent = 1660,
  ChannelMergerNode = 1683,
  ChannelSplitterNode = 1701,
  ChannelWrapper = 1721,
  CharacterData = 1736,
  CheckerboardReportService = 1750,
  ChildProcessMessageManager = 1776,
  ChildSHistory = 1803,
  ChromeMessageBroadcaster = 1817,
  ChromeMessageSender = 1842,
  ChromeNodeList = 1862,
  ChromeUtils = 1877,
  ChromeWorker = 1889,
  Client = 1902,
  Clients = 1909,
  Clipboard = 1917,
  ClipboardEvent = 1927,
  ClipboardItem = 1942,
  ClonedErrorHolder = 1956,
  CloseEvent = 1974,
  CloseWatcher = 1985,
  CommandEvent = 1998,
  Comment = 2011,
  CompositionEvent = 2019,
  CompressionStream = 2036,
  ConsoleInstance = 2054,
  ConstantSourceNode = 2070,
  ContentFrameMessageManager = 2089,
  ContentProcessMessageManager = 2116,
  ContentVisibilityAutoStateChangeEvent = 2145,
  ConvolverNode = 2183,
  CookieChangeEvent = 2197,
  CookieStore = 2215,
  CountQueuingStrategy = 2227,
  CreateOfferRequest = 2248,
  Credential = 2267,
  CredentialsContainer = 2278,
  Crypto = 2299,
  CryptoKey = 2306,
  CustomElementRegistry = 2316,
  CustomEvent = 2338,
  CustomStateSet = 2350,
  DOMException = 2365,
  DOMImplementation = 2378,
  DOMLocalization = 2396,
  DOMMatrix = 2412,
  DOMMatrixReadOnly = 2422,
  DOMParser = 2440,
  DOMPoint = 2450,
  DOMPointReadOnly = 2459,
  DOMQuad = 2476,
  DOMRect = 2484,
  DOMRectList = 2492,
  DOMRectReadOnly = 2504,
  DOMStringList = 2520,
  DOMStringMap = 2534,
  DOMTokenList = 2547,
  DataTransfer = 2560,
  DataTransferItem = 2573,
  DataTransferItemList = 2590,
  DebuggerNotification = 2611,
  DebuggerNotificationObserver = 2632,
  DecompressionStream = 2661,
  DedicatedWorkerGlobalScope = 2681,
  DelayNode = 2708,
  DeprecationReportBody = 2718,
  DeviceAcceleration = 2740,
  DeviceLightEvent = 2759,
  DeviceMotionEvent = 2776,
  DeviceOrientationEvent = 2794,
  DeviceRotationRate = 2817,
  Directory = 2836,
  Document = 2846,
  DocumentFragment = 2855,
  DocumentL10n = 2872,
  DocumentTimeline = 2885,
  DocumentType = 2902,
  DominatorTree = 2915,
  DragEvent = 2929,
  DynamicsCompressorNode = 2939,
  EXT_blend_minmax = 2962,
  EXT_color_buffer_float = 2979,
  EXT_color_buffer_half_float = 3002,
  EXT_depth_clamp = 3030,
  EXT_disjoint_timer_query = 3046,
  EXT_float_blend = 3071,
  EXT_frag_depth = 3087,
  EXT_sRGB = 3102,
  EXT_shader_texture_lod = 3111,
  EXT_texture_compression_bptc = 3134,
  EXT_texture_compression_rgtc = 3163,
  EXT_texture_filter_anisotropic = 3192,
  EXT_texture_norm16 = 3223,
  Element = 3242,
  ElementInternals = 3250,
  EncodedAudioChunk = 3267,
  EncodedVideoChunk = 3285,
  ErrorEvent = 3303,
  Event = 3314,
  EventCallbackDebuggerNotification = 3320,
  EventCounts = 3354,
  EventSource = 3366,
  EventTarget = 3378,
  Exception = 3390,
  ExtendableEvent = 3400,
  ExtendableMessageEvent = 3416,
  ExtensionAlarms = 3439,
  ExtensionBrowser = 3455,
  ExtensionBrowserSettings = 3472,
  ExtensionBrowserSettingsColorManagement = 3497,
  ExtensionDns = 3537,
  ExtensionEventManager = 3550,
  ExtensionMockAPI = 3572,
  ExtensionPort = 3589,
  ExtensionProxy = 3603,
  ExtensionRuntime = 3618,
  ExtensionScripting = 3635,
  ExtensionSetting = 3654,
  ExtensionTest = 3671,
  External = 3685,
  FeaturePolicy = 3694,
  FeaturePolicyViolationReportBody = 3708,
  FetchEvent = 3741,
  FetchObserver = 3752,
  File = 3766,
  FileList = 3771,
  FileReader = 3780,
  FileReaderSync = 3791,
  FileSystem = 3806,
  FileSystemDirectoryEntry = 3817,
  FileSystemDirectoryHandle = 3842,
  FileSystemDirectoryHandle_AsyncIterator = 3868,
  FileSystemDirectoryIterator = 3908,
  FileSystemDirectoryReader = 3936,
  FileSystemEntry = 3962,
  FileSystemFileEntry = 3978,
  FileSystemFileHandle = 3998,
  FileSystemHandle = 4019,
  FileSystemSyncAccessHandle = 4036,
  FileSystemWritableFileStream = 4063,
  Flex = 4092,
  FlexItemValues = 4097,
  FlexLineValues = 4112,
  FluentBundle = 4127,
  FluentBundleAsyncIterator = 4140,
  FluentBundleIterator = 4166,
  FluentPattern = 4187,
  FluentResource = 4201,
  FocusEvent = 4216,
  FontFace = 4227,
  FontFaceSet = 4236,
  FontFaceSetIterator = 4248,
  FontFaceSetLoadEvent = 4268,
  FormData = 4289,
  FormData_Iterator = 4298,
  FormDataEvent = 4316,
  FragmentDirective = 4330,
  FrameCrashedEvent = 4348,
  FrameLoader = 4366,
  GPU = 4378,
  GPUAdapter = 4382,
  GPUAdapterInfo = 4393,
  GPUBindGroup = 4408,
  GPUBindGroupLayout = 4421,
  GPUBuffer = 4440,
  GPUBufferUsage = 4450,
  GPUCanvasContext = 4465,
  GPUColorWrite = 4482,
  GPUCommandBuffer = 4496,
  GPUCommandEncoder = 4513,
  GPUCompilationInfo = 4531,
  GPUCompilationMessage = 4550,
  GPUComputePassEncoder = 4572,
  GPUComputePipeline = 4594,
  GPUDevice = 4613,
  GPUDeviceLostInfo = 4623,
  GPUError = 4641,
  GPUInternalError = 4650,
  GPUMapMode = 4667,
  GPUOutOfMemoryError = 4678,
  GPUPipelineLayout = 4698,
  GPUQuerySet = 4716,
  GPUQueue = 4728,
  GPURenderBundle = 4737,
  GPURenderBundleEncoder = 4753,
  GPURenderPassEncoder = 4776,
  GPURenderPipeline = 4797,
  GPUSampler = 4815,
  GPUShaderModule = 4826,
  GPUShaderStage = 4842,
  GPUSupportedFeatures = 4857,
  GPUSupportedLimits = 4878,
  GPUTexture = 4897,
  GPUTextureUsage = 4908,
  GPUTextureView = 4924,
  GPUUncapturedErrorEvent = 4939,
  GPUValidationError = 4963,
  GainNode = 4982,
  Gamepad = 4991,
  GamepadAxisMoveEvent = 4999,
  GamepadButton = 5020,
  GamepadButtonEvent = 5034,
  GamepadEvent = 5053,
  GamepadHapticActuator = 5066,
  GamepadLightIndicator = 5088,
  GamepadPose = 5110,
  GamepadServiceTest = 5122,
  GamepadTouch = 5141,
  Geolocation = 5154,
  GeolocationCoordinates = 5166,
  GeolocationPosition = 5189,
  GeolocationPositionError = 5209,
  GetUserMediaRequest = 5234,
  GleanBoolean = 5254,
  GleanCategory = 5267,
  GleanCounter = 5281,
  GleanCustomDistribution = 5294,
  GleanDatetime = 5318,
  GleanDenominator = 5332,
  GleanEvent = 5349,
  GleanImpl = 5360,
  GleanLabeled = 5370,
  GleanMemoryDistribution = 5383,
  GleanMetric = 5407,
  GleanNumerator = 5419,
  GleanObject = 5434,
  GleanPingsImpl = 5446,
  GleanQuantity = 5461,
  GleanRate = 5475,
  GleanString = 5485,
  GleanStringList = 5497,
  GleanText = 5513,
  GleanTimespan = 5523,
  GleanTimingDistribution = 5537,
  GleanUrl = 5561,
  GleanUuid = 5570,
  Grid = 5580,
  GridArea = 5585,
  GridDimension = 5594,
  GridLine = 5608,
  GridLines = 5617,
  GridTrack = 5627,
  GridTracks = 5637,
  HTMLAllCollection = 5648,
  HTMLAnchorElement = 5666,
  HTMLAreaElement = 5684,
  HTMLAudioElement = 5700,
  HTMLBRElement = 5717,
  HTMLBaseElement = 5731,
  HTMLBodyElement = 5747,
  HTMLButtonElement = 5763,
  HTMLCanvasElement = 5781,
  HTMLCollection = 5799,
  HTMLDListElement = 5814,
  HTMLDataElement = 5831,
  HTMLDataListElement = 5847,
  HTMLDetailsElement = 5867,
  HTMLDialogElement = 5886,
  HTMLDirectoryElement = 5904,
  HTMLDivElement = 5925,
  HTMLDocument = 5940,
  HTMLElement = 5953,
  HTMLEmbedElement = 5965,
  HTMLFieldSetElement = 5982,
  HTMLFontElement = 6002,
  HTMLFormControlsCollection = 6018,
  HTMLFormElement = 6045,
  HTMLFrameElement = 6061,
  HTMLFrameSetElement = 6078,
  HTMLHRElement = 6098,
  HTMLHeadElement = 6112,
  HTMLHeadingElement = 6128,
  HTMLHtmlElement = 6147,
  HTMLIFrameElement = 6163,
  HTMLImageElement = 6181,
  HTMLInputElement = 6198,
  HTMLLIElement = 6215,
  HTMLLabelElement = 6229,
  HTMLLegendElement = 6246,
  HTMLLinkElement = 6264,
  HTMLMapElement = 6280,
  HTMLMarqueeElement = 6295,
  HTMLMediaElement = 6314,
  HTMLMenuElement = 6331,
  HTMLMetaElement = 6347,
  HTMLMeterElement = 6363,
  HTMLModElement = 6380,
  HTMLOListElement = 6395,
  HTMLObjectElement = 6412,
  HTMLOptGroupElement = 6430,
  HTMLOptionElement = 6450,
  HTMLOptionsCollection = 6468,
  HTMLOutputElement = 6490,
  HTMLParagraphElement = 6508,
  HTMLParamElement = 6529,
  HTMLPictureElement = 6546,
  HTMLPreElement = 6565,
  HTMLProgressElement = 6580,
  HTMLQuoteElement = 6600,
  HTMLScriptElement = 6617,
  HTMLSelectElement = 6635,
  HTMLSlotElement = 6653,
  HTMLSourceElement = 6669,
  HTMLSpanElement = 6687,
  HTMLStyleElement = 6703,
  HTMLTableCaptionElement = 6720,
  HTMLTableCellElement = 6744,
  HTMLTableColElement = 6765,
  HTMLTableElement = 6785,
  HTMLTableRowElement = 6802,
  HTMLTableSectionElement = 6822,
  HTMLTemplateElement = 6846,
  HTMLTextAreaElement = 6866,
  HTMLTimeElement = 6886,
  HTMLTitleElement = 6902,
  HTMLTrackElement = 6919,
  HTMLUListElement = 6936,
  HTMLUnknownElement = 6953,
  HTMLVideoElement = 6972,
  HashChangeEvent = 6989,
  Headers = 7005,
  Headers_Iterator = 7013,
  HeapSnapshot = 7030,
  Highlight = 7043,
  HighlightRegistry = 7053,
  History = 7071,
  IDBCursor = 7079,
  IDBCursorWithValue = 7089,
  IDBDatabase = 7108,
  IDBFactory = 7120,
  IDBIndex = 7131,
  IDBKeyRange = 7140,
  IDBObjectStore = 7152,
  IDBOpenDBRequest = 7167,
  IDBRequest = 7184,
  IDBTransaction = 7195,
  IDBVersionChangeEvent = 7210,
  IIRFilterNode = 7232,
  IOUtils = 7246,
  IdentityCredential = 7254,
  IdleDeadline = 7273,
  Image = 7286,
  ImageBitmap = 7292,
  ImageBitmapRenderingContext = 7304,
  ImageCapture = 7332,
  ImageCaptureError = 7345,
  ImageCaptureErrorEvent = 7363,
  ImageData = 7386,
  ImageDecoder = 7396,
  ImageDocument = 7409,
  ImageTrack = 7423,
  ImageTrackList = 7434,
  InputEvent = 7449,
  InspectorCSSParser = 7460,
  InspectorFontFace = 7479,
  InspectorUtils = 7497,
  InstallTriggerImpl = 7512,
  IntersectionObserver = 7531,
  IntersectionObserverEntry = 7552,
  IntlUtils = 7578,
  InvokeEvent = 7588,
  JSProcessActorChild = 7600,
  JSProcessActorParent = 7620,
  JSWindowActorChild = 7641,
  JSWindowActorParent = 7660,
  KeyEvent = 7680,
  KeyboardEvent = 7689,
  KeyframeEffect = 7703,
  L10nFileSource = 7718,
  L10nOverlays = 7733,
  L10nRegistry = 7746,
  LargestContentfulPaint = 7759,
  LegacyMozTCPSocket = 7782,
  Localization = 7801,
  Location = 7814,
  Lock = 7823,
  LockManager = 7828,
  MIDIAccess = 7840,
  MIDIConnectionEvent = 7851,
  MIDIInput = 7871,
  MIDIInputMap = 7881,
  MIDIMessageEvent = 7894,
  MIDIOutput = 7911,
  MIDIOutputMap = 7922,
  MIDIPort = 7936,
  MOZ_debug = 7945,
  MatchGlob = 7955,
  MatchPattern = 7965,
  MatchPatternSet = 7978,
  MathMLElement = 7994,
  MediaCapabilities = 8008,
  MediaControlService = 8026,
  MediaController = 8046,
  MediaDeviceInfo = 8062,
  MediaDevices = 8078,
  MediaElementAudioSourceNode = 8091,
  MediaEncryptedEvent = 8119,
  MediaError = 8139,
  MediaKeyError = 8150,
  MediaKeyMessageEvent = 8164,
  MediaKeySession = 8185,
  MediaKeyStatusMap = 8201,
  MediaKeyStatusMap_Iterator = 8219,
  MediaKeySystemAccess = 8246,
  MediaKeys = 8267,
  MediaList = 8277,
  MediaMetadata = 8287,
  MediaQueryList = 8301,
  MediaQueryListEvent = 8316,
  MediaRecorder = 8336,
  MediaRecorderErrorEvent = 8350,
  MediaSession = 8374,
  MediaSource = 8387,
  MediaStream = 8399,
  MediaStreamAudioDestinationNode = 8411,
  MediaStreamAudioSourceNode = 8443,
  MediaStreamError = 8470,
  MediaStreamEvent = 8487,
  MediaStreamTrack = 8504,
  MediaStreamTrackAudioSourceNode = 8521,
  MediaStreamTrackEvent = 8553,
  MerchantValidationEvent = 8575,
  MessageBroadcaster = 8599,
  MessageChannel = 8618,
  MessageEvent = 8633,
  MessageListenerManager = 8646,
  MessagePort = 8669,
  MessageSender = 8681,
  MimeType = 8695,
  MimeTypeArray = 8704,
  MouseEvent = 8718,
  MouseScrollEvent = 8729,
  MozCanvasPrintState = 8746,
  MozDocumentMatcher = 8766,
  MozDocumentObserver = 8785,
  MozQueryInterface = 8805,
  MozSharedMap = 8823,
  MozSharedMap_Iterator = 8836,
  MozSharedMapChangeEvent = 8858,
  MozStorageAsyncStatementParams = 8882,
  MozStorageStatementParams = 8913,
  MozStorageStatementRow = 8939,
  MozWritableSharedMap = 8962,
  MutationEvent = 8983,
  MutationObserver = 8997,
  MutationRecord = 9014,
  NamedNodeMap = 9029,
  NavigateEvent = 9042,
  Navigation = 9056,
  NavigationActivation = 9067,
  NavigationCurrentEntryChangeEvent = 9088,
  NavigationDestination = 9122,
  NavigationHistoryEntry = 9144,
  NavigationPreloadManager = 9167,
  NavigationTransition = 9192,
  Navigator = 9213,
  NetworkInformation = 9223,
  Node = 9242,
  NodeFilter = 9247,
  NodeIterator = 9258,
  NodeList = 9271,
  Notification = 9280,
  NotificationEvent = 9293,
  NotifyPaintEvent = 9311,
  OES_draw_buffers_indexed = 9328,
  OES_element_index_uint = 9353,
  OES_fbo_render_mipmap = 9376,
  OES_standard_derivatives = 9398,
  OES_texture_float = 9423,
  OES_texture_float_linear = 9441,
  OES_texture_half_float = 9466,
  OES_texture_half_float_linear = 9489,
  OES_vertex_array_object = 9519,
  OVR_multiview2 = 9543,
  OfflineAudioCompletionEvent = 9558,
  OfflineAudioContext = 9586,
  OffscreenCanvas = 9606,
  OffscreenCanvasRenderingContext2D = 9622,
  Option = 9656,
  OscillatorNode = 9663,
  PageTransitionEvent = 9678,
  PaintRequest = 9698,
  PaintRequestList = 9711,
  PaintWorkletGlobalScope = 9728,
  PannerNode = 9752,
  ParentProcessMessageManager = 9763,
  Path2D = 9791,
  PathUtils = 9798,
  PaymentAddress = 9808,
  PaymentMethodChangeEvent = 9823,
  PaymentRequest = 9848,
  PaymentRequestUpdateEvent = 9863,
  PaymentResponse = 9889,
  Performance = 9905,
  PerformanceEntry = 9917,
  PerformanceEntryEvent = 9934,
  PerformanceEventTiming = 9956,
  PerformanceMark = 9979,
  PerformanceMeasure = 9995,
  PerformanceNavigation = 10014,
  PerformanceNavigationTiming = 10036,
  PerformanceObserver = 10064,
  PerformanceObserverEntryList = 10084,
  PerformancePaintTiming = 10113,
  PerformanceResourceTiming = 10136,
  PerformanceServerTiming = 10162,
  PerformanceTiming = 10186,
  PeriodicWave = 10204,
  PermissionStatus = 10217,
  Permissions = 10234,
  PlacesBookmark = 10246,
  PlacesBookmarkAddition = 10261,
  PlacesBookmarkChanged = 10284,
  PlacesBookmarkGuid = 10306,
  PlacesBookmarkKeyword = 10325,
  PlacesBookmarkMoved = 10347,
  PlacesBookmarkRemoved = 10367,
  PlacesBookmarkTags = 10389,
  PlacesBookmarkTime = 10408,
  PlacesBookmarkTitle = 10427,
  PlacesBookmarkUrl = 10447,
  PlacesEvent = 10465,
  PlacesEventCounts = 10477,
  PlacesFavicon = 10495,
  PlacesHistoryCleared = 10509,
  PlacesObservers = 10530,
  PlacesPurgeCaches = 10546,
  PlacesRanking = 10564,
  PlacesVisit = 10578,
  PlacesVisitRemoved = 10590,
  PlacesVisitTitle = 10609,
  PlacesWeakCallbackWrapper = 10626,
  Plugin = 10652,
  PluginArray = 10659,
  PluginCrashedEvent = 10671,
  PointerEvent = 10690,
  PopStateEvent = 10703,
  PopupBlockedEvent = 10717,
  PopupPositionedEvent = 10735,
  PositionStateEvent = 10756,
  PrecompiledScript = 10775,
  PrivateAttribution = 10793,
  ProcessMessageManager = 10812,
  ProcessingInstruction = 10834,
  ProgressEvent = 10856,
  PromiseDebugging = 10870,
  PromiseNativeHandler = 10887,
  PromiseRejectionEvent = 10908,
  PublicKeyCredential = 10930,
  PushEvent = 10950,
  PushManager = 10960,
  PushManagerImpl = 10972,
  PushMessageData = 10988,
  PushSubscription = 11004,
  PushSubscriptionOptions = 11021,
  RadioNodeList = 11045,
  Range = 11059,
  ReadableByteStreamController = 11065,
  ReadableStream = 11094,
  ReadableStream_AsyncIterator = 11109,
  ReadableStreamBYOBReader = 11138,
  ReadableStreamBYOBRequest = 11163,
  ReadableStreamDefaultController = 11189,
  ReadableStreamDefaultReader = 11221,
  Report = 11249,
  ReportBody = 11256,
  ReportingObserver = 11267,
  Request = 11285,
  ResizeObserver = 11293,
  ResizeObserverEntry = 11308,
  ResizeObserverSize = 11328,
  Response = 11347,
  SVGAElement = 11356,
  SVGAngle = 11368,
  SVGAnimateElement = 11377,
  SVGAnimateMotionElement = 11395,
  SVGAnimateTransformElement = 11419,
  SVGAnimatedAngle = 11446,
  SVGAnimatedBoolean = 11463,
  SVGAnimatedEnumeration = 11482,
  SVGAnimatedInteger = 11505,
  SVGAnimatedLength = 11524,
  SVGAnimatedLengthList = 11542,
  SVGAnimatedNumber = 11564,
  SVGAnimatedNumberList = 11582,
  SVGAnimatedPreserveAspectRatio = 11604,
  SVGAnimatedRect = 11635,
  SVGAnimatedString = 11651,
  SVGAnimatedTransformList = 11669,
  SVGAnimationElement = 11694,
  SVGCircleElement = 11714,
  SVGClipPathElement = 11731,
  SVGComponentTransferFunctionElement = 11750,
  SVGDefsElement = 11786,
  SVGDescElement = 11801,
  SVGElement = 11816,
  SVGEllipseElement = 11827,
  SVGFEBlendElement = 11845,
  SVGFEColorMatrixElement = 11863,
  SVGFEComponentTransferElement = 11887,
  SVGFECompositeElement = 11917,
  SVGFEConvolveMatrixElement = 11939,
  SVGFEDiffuseLightingElement = 11966,
  SVGFEDisplacementMapElement = 11994,
  SVGFEDistantLightElement = 12022,
  SVGFEDropShadowElement = 12047,
  SVGFEFloodElement = 12070,
  SVGFEFuncAElement = 12088,
  SVGFEFuncBElement = 12106,
  SVGFEFuncGElement = 12124,
  SVGFEFuncRElement = 12142,
  SVGFEGaussianBlurElement = 12160,
  SVGFEImageElement = 12185,
  SVGFEMergeElement = 12203,
  SVGFEMergeNodeElement = 12221,
  SVGFEMorphologyElement = 12243,
  SVGFEOffsetElement = 12266,
  SVGFEPointLightElement = 12285,
  SVGFESpecularLightingElement = 12308,
  SVGFESpotLightElement = 12337,
  SVGFETileElement = 12359,
  SVGFETurbulenceElement = 12376,
  SVGFilterElement = 12399,
  SVGForeignObjectElement = 12416,
  SVGGElement = 12440,
  SVGGeometryElement = 12452,
  SVGGradientElement = 12471,
  SVGGraphicsElement = 12490,
  SVGImageElement = 12509,
  SVGLength = 12525,
  SVGLengthList = 12535,
  SVGLineElement = 12549,
  SVGLinearGradientElement = 12564,
  SVGMPathElement = 12589,
  SVGMarkerElement = 12605,
  SVGMaskElement = 12622,
  SVGMatrix = 12637,
  SVGMetadataElement = 12647,
  SVGNumber = 12666,
  SVGNumberList = 12676,
  SVGPathElement = 12690,
  SVGPatternElement = 12705,
  SVGPoint = 12723,
  SVGPointList = 12732,
  SVGPolygonElement = 12745,
  SVGPolylineElement = 12763,
  SVGPreserveAspectRatio = 12782,
  SVGRadialGradientElement = 12805,
  SVGRect = 12830,
  SVGRectElement = 12838,
  SVGSVGElement = 12853,
  SVGScriptElement = 12867,
  SVGSetElement = 12884,
  SVGStopElement = 12898,
  SVGStringList = 12913,
  SVGStyleElement = 12927,
  SVGSwitchElement = 12943,
  SVGSymbolElement = 12960,
  SVGTSpanElement = 12977,
  SVGTextContentElement = 12993,
  SVGTextElement = 13015,
  SVGTextPathElement = 13030,
  SVGTextPositioningElement = 13049,
  SVGTitleElement = 13075,
  SVGTransform = 13091,
  SVGTransformList = 13104,
  SVGUnitTypes = 13121,
  SVGUseElement = 13134,
  SVGViewElement = 13148,
  Sanitizer = 13163,
  Scheduler = 13173,
  Screen = 13183,
  ScreenLuminance = 13190,
  ScreenOrientation = 13206,
  ScriptProcessorNode = 13224,
  ScrollAreaEvent = 13244,
  ScrollViewChangeEvent = 13260,
  SecurityPolicyViolationEvent = 13282,
  Selection = 13311,
  ServiceWorker = 13321,
  ServiceWorkerContainer = 13335,
  ServiceWorkerGlobalScope = 13358,
  ServiceWorkerRegistration = 13383,
  SessionStoreFormData = 13409,
  SessionStoreScrollData = 13430,
  SessionStoreUtils = 13453,
  ShadowRealmGlobalScope = 13471,
  ShadowRoot = 13494,
  SharedWorker = 13505,
  SharedWorkerGlobalScope = 13518,
  SimpleGestureEvent = 13542,
  SourceBuffer = 13561,
  SourceBufferList = 13574,
  SpeechGrammar = 13591,
  SpeechGrammarList = 13605,
  SpeechRecognition = 13623,
  SpeechRecognitionAlternative = 13641,
  SpeechRecognitionError = 13670,
  SpeechRecognitionEvent = 13693,
  SpeechRecognitionResult = 13716,
  SpeechRecognitionResultList = 13740,
  SpeechSynthesis = 13768,
  SpeechSynthesisErrorEvent = 13784,
  SpeechSynthesisEvent = 13810,
  SpeechSynthesisUtterance = 13831,
  SpeechSynthesisVoice = 13856,
  StaticRange = 13877,
  StereoPannerNode = 13889,
  Storage = 13906,
  StorageEvent = 13914,
  StorageManager = 13927,
  StreamFilter = 13942,
  StreamFilterDataEvent = 13955,
  StructuredCloneHolder = 13977,
  StructuredCloneTester = 13999,
  StyleSheet = 14021,
  StyleSheetApplicableStateChangeEvent = 14032,
  StyleSheetList = 14069,
  StyleSheetRemovedEvent = 14084,
  SubmitEvent = 14107,
  SubtleCrypto = 14119,
  SyncMessageSender = 14132,
  SyncReadFile = 14150,
  TCPServerSocket = 14163,
  TCPServerSocketEvent = 14179,
  TCPSocket = 14200,
  TCPSocketErrorEvent = 14210,
  TCPSocketEvent = 14230,
  TaskController = 14245,
  TaskPriorityChangeEvent = 14260,
  TaskSignal = 14284,
  TelemetryStopwatch = 14295,
  TestUtils = 14314,
  TestingDeprecatedInterface = 14324,
  Text = 14351,
  TextClause = 14356,
  TextDecoder = 14367,
  TextDecoderStream = 14379,
  TextEncoder = 14397,
  TextEncoderStream = 14409,
  TextEvent = 14427,
  TextMetrics = 14437,
  TextTrack = 14449,
  TextTrackCue = 14459,
  TextTrackCueList = 14472,
  TextTrackList = 14489,
  TimeEvent = 14503,
  TimeRanges = 14513,
  ToggleEvent = 14524,
  Touch = 14536,
  TouchEvent = 14542,
  TouchList = 14553,
  TrackEvent = 14563,
  TransformStream = 14574,
  TransformStreamDefaultController = 14590,
  TransitionEvent = 14623,
  TreeColumn = 14639,
  TreeColumns = 14650,
  TreeContentView = 14662,
  TreeWalker = 14678,
  TrustedHTML = 14689,
  TrustedScript = 14701,
  TrustedScriptURL = 14715,
  TrustedTypePolicy = 14732,
  TrustedTypePolicyFactory = 14750,
  UDPMessageEvent = 14775,
  UDPSocket = 14791,
  UIEvent = 14801,
  URL = 14809,
  URLSearchParams = 14813,
  URLSearchParams_Iterator = 14829,
  UniFFIPointer = 14854,
  UniFFIScaffolding = 14868,
  UserActivation = 14886,
  UserInteraction = 14901,
  UserProximityEvent = 14917,
  VRDisplay = 14936,
  VRDisplayCapabilities = 14946,
  VRDisplayEvent = 14968,
  VREyeParameters = 14983,
  VRFieldOfView = 14999,
  VRFrameData = 15013,
  VRMockController = 15025,
  VRMockDisplay = 15042,
  VRPose = 15056,
  VRServiceTest = 15063,
  VRStageParameters = 15077,
  VTTCue = 15095,
  VTTRegion = 15102,
  ValidityState = 15112,
  VideoColorSpace = 15126,
  VideoDecoder = 15142,
  VideoEncoder = 15155,
  VideoFrame = 15168,
  VideoPlaybackQuality = 15179,
  VideoTrack = 15200,
  VideoTrackList = 15211,
  ViewTransition = 15226,
  VisualViewport = 15241,
  WEBGL_color_buffer_float = 15256,
  WEBGL_compressed_texture_astc = 15281,
  WEBGL_compressed_texture_etc = 15311,
  WEBGL_compressed_texture_etc1 = 15340,
  WEBGL_compressed_texture_pvrtc = 15370,
  WEBGL_compressed_texture_s3tc = 15401,
  WEBGL_compressed_texture_s3tc_srgb = 15431,
  WEBGL_debug_renderer_info = 15466,
  WEBGL_debug_shaders = 15492,
  WEBGL_depth_texture = 15512,
  WEBGL_draw_buffers = 15532,
  WEBGL_explicit_present = 15551,
  WEBGL_lose_context = 15574,
  WEBGL_provoking_vertex = 15593,
  WGSLLanguageFeatures = 15616,
  WakeLock = 15637,
  WakeLockSentinel = 15646,
  WaveShaperNode = 15663,
  WebExtensionContentScript = 15678,
  WebExtensionPolicy = 15704,
  WebGL2RenderingContext = 15723,
  WebGLActiveInfo = 15746,
  WebGLBuffer = 15762,
  WebGLContextEvent = 15774,
  WebGLFramebuffer = 15792,
  WebGLProgram = 15809,
  WebGLQuery = 15822,
  WebGLRenderbuffer = 15833,
  WebGLRenderingContext = 15851,
  WebGLSampler = 15873,
  WebGLShader = 15886,
  WebGLShaderPrecisionFormat = 15898,
  WebGLSync = 15925,
  WebGLTexture = 15935,
  WebGLTransformFeedback = 15948,
  WebGLUniformLocation = 15971,
  WebGLVertexArrayObject = 15992,
  WebKitCSSMatrix = 16015,
  WebSocket = 16031,
  WebTransport = 16041,
  WebTransportBidirectionalStream = 16054,
  WebTransportDatagramDuplexStream = 16086,
  WebTransportError = 16119,
  WebTransportReceiveStream = 16137,
  WebTransportSendStream = 16163,
  WheelEvent = 16186,
  Window = 16197,
  WindowClient = 16204,
  WindowContext = 16217,
  WindowGlobalChild = 16231,
  WindowGlobalParent = 16249,
  WindowRoot = 16268,
  Worker = 16279,
  WorkerDebuggerGlobalScope = 16286,
  WorkerGlobalScope = 16312,
  WorkerLocation = 16330,
  WorkerNavigator = 16345,
  WorkerTestUtils = 16361,
  Worklet = 16377,
  WorkletGlobalScope = 16385,
  WritableStream = 16404,
  WritableStreamDefaultController = 16419,
  WritableStreamDefaultWriter = 16451,
  XMLDocument = 16479,
  XMLHttpRequest = 16491,
  XMLHttpRequestEventTarget = 16506,
  XMLHttpRequestUpload = 16532,
  XMLSerializer = 16553,
  XPathEvaluator = 16567,
  XPathExpression = 16582,
  XPathResult = 16598,
  XRBoundedReferenceSpace = 16610,
  XRFrame = 16634,
  XRInputSource = 16642,
  XRInputSourceArray = 16656,
  XRInputSourceEvent = 16675,
  XRInputSourcesChangeEvent = 16694,
  XRPose = 16720,
  XRReferenceSpace = 16727,
  XRReferenceSpaceEvent = 16744,
  XRRenderState = 16766,
  XRRigidTransform = 16780,
  XRSession = 16797,
  XRSessionEvent = 16807,
  XRSpace = 16822,
  XRSystem = 16830,
  XRView = 16839,
  XRViewerPose = 16846,
  XRViewport = 16859,
  XRWebGLLayer = 16870,
  XSLTProcessor = 16883,
  XULCommandEvent = 16897,
  XULElement = 16913,
  XULFrameElement = 16924,
  XULMenuElement = 16940,
  XULPopupElement = 16955,
  XULResizerElement = 16971,
  XULTextElement = 16989,
  XULTreeElement = 17004,
  console = 17019,
  webkitSpeechGrammar = 17027,
  webkitSpeechGrammarList = 17047,
  webkitSpeechRecognition = 17071,
  webkitURL = 17095,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
