#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CountQueuingStrategy" "\0"
  /*  2248 */ "CreateOfferRequest" "\0"
  /*  2267 */ "Credential" "\0"
  /*  2278 */ "CredentialsContainer" "\0"
  /*  2299 */ "Crypto" "\0"
  /*  2306 */ "CryptoKey" "\0"
  /*  2316 */ "CustomElementRegistry" "\0"
  /*  2338 */ "CustomEvent" "\0"
  /*  2350 */ "CustomStateSet" "\0"
  /*  2365 */ "DOMException" "\0"
  /*  2378 */ "DOMImplementation" "\0"
  /*  2396 */ "DOMLocalization" "\0"
  /*  2412 */ "DOMMatrix" "\0"
  /*  2422 */ "DOMMatrixReadOnly" "\0"
  /*  2440 */ "DOMParser" "\0"
  /*  2450 */ "DOMPoint" "\0"
  /*  2459 */ "DOMPointReadOnly" "\0"
  /*  2476 */ "DOMQuad" "\0"
  /*  2484 */ "DOMRect" "\0"
  /*  2492 */ "DOMRectList" "\0"
  /*  2504 */ "DOMRectReadOnly" "\0"
  /*  2520 */ "DOMStringList" "\0"
  /*  2534 */ "DOMStringMap" "\0"
  /*  2547 */ "DOMTokenList" "\0"
  /*  2560 */ "DataTransfer" "\0"
  /*  2573 */ "DataTransferItem" "\0"
  /*  2590 */ "DataTransferItemList" "\0"
  /*  2611 */ "DebuggerNotification" "\0"
  /*  2632 */ "DebuggerNotificationObserver" "\0"
  /*  2661 */ "DecompressionStream" "\0"
  /*  2681 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2708 */ "DelayNode" "\0"
  /*  2718 */ "DeprecationReportBody" "\0"
  /*  2740 */ "DeviceAcceleration" "\0"
  /*  2759 */ "DeviceLightEvent" "\0"
  /*  2776 */ "DeviceMotionEvent" "\0"
  /*  2794 */ "DeviceOrientationEvent" "\0"
  /*  2817 */ "DeviceRotationRate" "\0"
  /*  2836 */ "Directory" "\0"
  /*  2846 */ "Document" "\0"
  /*  2855 */ "DocumentFragment" "\0"
  /*  2872 */ "DocumentL10n" "\0"
  /*  2885 */ "DocumentTimeline" "\0"
  /*  2902 */ "DocumentType" "\0"
  /*  2915 */ "DominatorTree" "\0"
  /*  2929 */ "DragEvent" "\0"
  /*  2939 */ "DynamicsCompressorNode" "\0"
  /*  2962 */ "EXT_blend_minmax" "\0"
  /*  2979 */ "EXT_color_buffer_float" "\0"
  /*  3002 */ "EXT_color_buffer_half_float" "\0"
  /*  3030 */ "EXT_depth_clamp" "\0"
  /*  3046 */ "EXT_disjoint_timer_query" "\0"
  /*  3071 */ "EXT_float_blend" "\0"
  /*  3087 */ "EXT_frag_depth" "\0"
  /*  3102 */ "EXT_sRGB" "\0"
  /*  3111 */ "EXT_shader_texture_lod" "\0"
  /*  3134 */ "EXT_texture_compression_bptc" "\0"
  /*  3163 */ "EXT_texture_compression_rgtc" "\0"
  /*  3192 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3223 */ "EXT_texture_norm16" "\0"
  /*  3242 */ "Element" "\0"
  /*  3250 */ "ElementInternals" "\0"
  /*  3267 */ "EncodedAudioChunk" "\0"
  /*  3285 */ "EncodedVideoChunk" "\0"
  /*  3303 */ "ErrorEvent" "\0"
  /*  3314 */ "Event" "\0"
  /*  3320 */ "EventCallbackDebuggerNotification" "\0"
  /*  3354 */ "EventCounts" "\0"
  /*  3366 */ "EventSource" "\0"
  /*  3378 */ "EventTarget" "\0"
  /*  3390 */ "Exception" "\0"
  /*  3400 */ "ExtendableEvent" "\0"
  /*  3416 */ "ExtendableMessageEvent" "\0"
  /*  3439 */ "ExtensionAlarms" "\0"
  /*  3455 */ "ExtensionBrowser" "\0"
  /*  3472 */ "ExtensionBrowserSettings" "\0"
  /*  3497 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3537 */ "ExtensionDns" "\0"
  /*  3550 */ "ExtensionEventManager" "\0"
  /*  3572 */ "ExtensionMockAPI" "\0"
  /*  3589 */ "ExtensionPort" "\0"
  /*  3603 */ "ExtensionProxy" "\0"
  /*  3618 */ "ExtensionRuntime" "\0"
  /*  3635 */ "ExtensionScripting" "\0"
  /*  3654 */ "ExtensionSetting" "\0"
  /*  3671 */ "ExtensionTest" "\0"
  /*  3685 */ "External" "\0"
  /*  3694 */ "FeaturePolicy" "\0"
  /*  3708 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3741 */ "FetchEvent" "\0"
  /*  3752 */ "FetchObserver" "\0"
  /*  3766 */ "File" "\0"
  /*  3771 */ "FileList" "\0"
  /*  3780 */ "FileReader" "\0"
  /*  3791 */ "FileReaderSync" "\0"
  /*  3806 */ "FileSystem" "\0"
  /*  3817 */ "FileSystemDirectoryEntry" "\0"
  /*  3842 */ "FileSystemDirectoryHandle" "\0"
  /*  3868 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3908 */ "FileSystemDirectoryIterator" "\0"
  /*  3936 */ "FileSystemDirectoryReader" "\0"
  /*  3962 */ "FileSystemEntry" "\0"
  /*  3978 */ "FileSystemFileEntry" "\0"
  /*  3998 */ "FileSystemFileHandle" "\0"
  /*  4019 */ "FileSystemHandle" "\0"
  /*  4036 */ "FileSystemSyncAccessHandle" "\0"
  /*  4063 */ "FileSystemWritableFileStream" "\0"
  /*  4092 */ "Flex" "\0"
  /*  4097 */ "FlexItemValues" "\0"
  /*  4112 */ "FlexLineValues" "\0"
  /*  4127 */ "FluentBundle" "\0"
  /*  4140 */ "FluentBundleAsyncIterator" "\0"
  /*  4166 */ "FluentBundleIterator" "\0"
  /*  4187 */ "FluentPattern" "\0"
  /*  4201 */ "FluentResource" "\0"
  /*  4216 */ "FocusEvent" "\0"
  /*  4227 */ "FontFace" "\0"
  /*  4236 */ "FontFaceSet" "\0"
  /*  4248 */ "FontFaceSetIterator" "\0"
  /*  4268 */ "FontFaceSetLoadEvent" "\0"
  /*  4289 */ "FormData" "\0"
  /*  4298 */ "FormData Iterator" "\0"
  /*  4316 */ "FormDataEvent" "\0"
  /*  4330 */ "FragmentDirective" "\0"
  /*  4348 */ "FrameCrashedEvent" "\0"
  /*  4366 */ "FrameLoader" "\0"
  /*  4378 */ "GPU" "\0"
  /*  4382 */ "GPUAdapter" "\0"
  /*  4393 */ "GPUAdapterInfo" "\0"
  /*  4408 */ "GPUBindGroup" "\0"
  /*  4421 */ "GPUBindGroupLayout" "\0"
  /*  4440 */ "GPUBuffer" "\0"
  /*  4450 */ "GPUBufferUsage" "\0"
  /*  4465 */ "GPUCanvasContext" "\0"
  /*  4482 */ "GPUColorWrite" "\0"
  /*  4496 */ "GPUCommandBuffer" "\0"
  /*  4513 */ "GPUCommandEncoder" "\0"
  /*  4531 */ "GPUCompilationInfo" "\0"
  /*  4550 */ "GPUCompilationMessage" "\0"
  /*  4572 */ "GPUComputePassEncoder" "\0"
  /*  4594 */ "GPUComputePipeline" "\0"
  /*  4613 */ "GPUDevice" "\0"
  /*  4623 */ "GPUDeviceLostInfo" "\0"
  /*  4641 */ "GPUError" "\0"
  /*  4650 */ "GPUInternalError" "\0"
  /*  4667 */ "GPUMapMode" "\0"
  /*  4678 */ "GPUOutOfMemoryError" "\0"
  /*  4698 */ "GPUPipelineLayout" "\0"
  /*  4716 */ "GPUQuerySet" "\0"
  /*  4728 */ "GPUQueue" "\0"
  /*  4737 */ "GPURenderBundle" "\0"
  /*  4753 */ "GPURenderBundleEncoder" "\0"
  /*  4776 */ "GPURenderPassEncoder" "\0"
  /*  4797 */ "GPURenderPipeline" "\0"
  /*  4815 */ "GPUSampler" "\0"
  /*  4826 */ "GPUShaderModule" "\0"
  /*  4842 */ "GPUShaderStage" "\0"
  /*  4857 */ "GPUSupportedFeatures" "\0"
  /*  4878 */ "GPUSupportedLimits" "\0"
  /*  4897 */ "GPUTexture" "\0"
  /*  4908 */ "GPUTextureUsage" "\0"
  /*  4924 */ "GPUTextureView" "\0"
  /*  4939 */ "GPUUncapturedErrorEvent" "\0"
  /*  4963 */ "GPUValidationError" "\0"
  /*  4982 */ "GainNode" "\0"
  /*  4991 */ "Gamepad" "\0"
  /*  4999 */ "GamepadAxisMoveEvent" "\0"
  /*  5020 */ "GamepadButton" "\0"
  /*  5034 */ "GamepadButtonEvent" "\0"
  /*  5053 */ "GamepadEvent" "\0"
  /*  5066 */ "GamepadHapticActuator" "\0"
  /*  5088 */ "GamepadLightIndicator" "\0"
  /*  5110 */ "GamepadPose" "\0"
  /*  5122 */ "GamepadServiceTest" "\0"
  /*  5141 */ "GamepadTouch" "\0"
  /*  5154 */ "Geolocation" "\0"
  /*  5166 */ "GeolocationCoordinates" "\0"
  /*  5189 */ "GeolocationPosition" "\0"
  /*  5209 */ "GeolocationPositionError" "\0"
  /*  5234 */ "GetUserMediaRequest" "\0"
  /*  5254 */ "GleanBoolean" "\0"
  /*  5267 */ "GleanCategory" "\0"
  /*  5281 */ "GleanCounter" "\0"
  /*  5294 */ "GleanCustomDistribution" "\0"
  /*  5318 */ "GleanDatetime" "\0"
  /*  5332 */ "GleanDenominator" "\0"
  /*  5349 */ "GleanEvent" "\0"
  /*  5360 */ "GleanImpl" "\0"
  /*  5370 */ "GleanLabeled" "\0"
  /*  5383 */ "GleanMemoryDistribution" "\0"
  /*  5407 */ "GleanMetric" "\0"
  /*  5419 */ "GleanNumerator" "\0"
  /*  5434 */ "GleanObject" "\0"
  /*  5446 */ "GleanPingsImpl" "\0"
  /*  5461 */ "GleanQuantity" "\0"
  /*  5475 */ "GleanRate" "\0"
  /*  5485 */ "GleanString" "\0"
  /*  5497 */ "GleanStringList" "\0"
  /*  5513 */ "GleanText" "\0"
  /*  5523 */ "GleanTimespan" "\0"
  /*  5537 */ "GleanTimingDistribution" "\0"
  /*  5561 */ "GleanUrl" "\0"
  /*  5570 */ "GleanUuid" "\0"
  /*  5580 */ "Grid" "\0"
  /*  5585 */ "GridArea" "\0"
  /*  5594 */ "GridDimension" "\0"
  /*  5608 */ "GridLine" "\0"
  /*  5617 */ "GridLines" "\0"
  /*  5627 */ "GridTrack" "\0"
  /*  5637 */ "GridTracks" "\0"
  /*  5648 */ "HTMLAllCollection" "\0"
  /*  5666 */ "HTMLAnchorElement" "\0"
  /*  5684 */ "HTMLAreaElement" "\0"
  /*  5700 */ "HTMLAudioElement" "\0"
  /*  5717 */ "HTMLBRElement" "\0"
  /*  5731 */ "HTMLBaseElement" "\0"
  /*  5747 */ "HTMLBodyElement" "\0"
  /*  5763 */ "HTMLButtonElement" "\0"
  /*  5781 */ "HTMLCanvasElement" "\0"
  /*  5799 */ "HTMLCollection" "\0"
  /*  5814 */ "HTMLDListElement" "\0"
  /*  5831 */ "HTMLDataElement" "\0"
  /*  5847 */ "HTMLDataListElement" "\0"
  /*  5867 */ "HTMLDetailsElement" "\0"
  /*  5886 */ "HTMLDialogElement" "\0"
  /*  5904 */ "HTMLDirectoryElement" "\0"
  /*  5925 */ "HTMLDivElement" "\0"
  /*  5940 */ "HTMLDocument" "\0"
  /*  5953 */ "HTMLElement" "\0"
  /*  5965 */ "HTMLEmbedElement" "\0"
  /*  5982 */ "HTMLFieldSetElement" "\0"
  /*  6002 */ "HTMLFontElement" "\0"
  /*  6018 */ "HTMLFormControlsCollection" "\0"
  /*  6045 */ "HTMLFormElement" "\0"
  /*  6061 */ "HTMLFrameElement" "\0"
  /*  6078 */ "HTMLFrameSetElement" "\0"
  /*  6098 */ "HTMLHRElement" "\0"
  /*  6112 */ "HTMLHeadElement" "\0"
  /*  6128 */ "HTMLHeadingElement" "\0"
  /*  6147 */ "HTMLHtmlElement" "\0"
  /*  6163 */ "HTMLIFrameElement" "\0"
  /*  6181 */ "HTMLImageElement" "\0"
  /*  6198 */ "HTMLInputElement" "\0"
  /*  6215 */ "HTMLLIElement" "\0"
  /*  6229 */ "HTMLLabelElement" "\0"
  /*  6246 */ "HTMLLegendElement" "\0"
  /*  6264 */ "HTMLLinkElement" "\0"
  /*  6280 */ "HTMLMapElement" "\0"
  /*  6295 */ "HTMLMarqueeElement" "\0"
  /*  6314 */ "HTMLMediaElement" "\0"
  /*  6331 */ "HTMLMenuElement" "\0"
  /*  6347 */ "HTMLMetaElement" "\0"
  /*  6363 */ "HTMLMeterElement" "\0"
  /*  6380 */ "HTMLModElement" "\0"
  /*  6395 */ "HTMLOListElement" "\0"
  /*  6412 */ "HTMLObjectElement" "\0"
  /*  6430 */ "HTMLOptGroupElement" "\0"
  /*  6450 */ "HTMLOptionElement" "\0"
  /*  6468 */ "HTMLOptionsCollection" "\0"
  /*  6490 */ "HTMLOutputElement" "\0"
  /*  6508 */ "HTMLParagraphElement" "\0"
  /*  6529 */ "HTMLParamElement" "\0"
  /*  6546 */ "HTMLPictureElement" "\0"
  /*  6565 */ "HTMLPreElement" "\0"
  /*  6580 */ "HTMLProgressElement" "\0"
  /*  6600 */ "HTMLQuoteElement" "\0"
  /*  6617 */ "HTMLScriptElement" "\0"
  /*  6635 */ "HTMLSelectElement" "\0"
  /*  6653 */ "HTMLSlotElement" "\0"
  /*  6669 */ "HTMLSourceElement" "\0"
  /*  6687 */ "HTMLSpanElement" "\0"
  /*  6703 */ "HTMLStyleElement" "\0"
  /*  6720 */ "HTMLTableCaptionElement" "\0"
  /*  6744 */ "HTMLTableCellElement" "\0"
  /*  6765 */ "HTMLTableColElement" "\0"
  /*  6785 */ "HTMLTableElement" "\0"
  /*  6802 */ "HTMLTableRowElement" "\0"
  /*  6822 */ "HTMLTableSectionElement" "\0"
  /*  6846 */ "HTMLTemplateElement" "\0"
  /*  6866 */ "HTMLTextAreaElement" "\0"
  /*  6886 */ "HTMLTimeElement" "\0"
  /*  6902 */ "HTMLTitleElement" "\0"
  /*  6919 */ "HTMLTrackElement" "\0"
  /*  6936 */ "HTMLUListElement" "\0"
  /*  6953 */ "HTMLUnknownElement" "\0"
  /*  6972 */ "HTMLVideoElement" "\0"
  /*  6989 */ "HashChangeEvent" "\0"
  /*  7005 */ "Headers" "\0"
  /*  7013 */ "Headers Iterator" "\0"
  /*  7030 */ "HeapSnapshot" "\0"
  /*  7043 */ "Highlight" "\0"
  /*  7053 */ "HighlightRegistry" "\0"
  /*  7071 */ "History" "\0"
  /*  7079 */ "IDBCursor" "\0"
  /*  7089 */ "IDBCursorWithValue" "\0"
  /*  7108 */ "IDBDatabase" "\0"
  /*  7120 */ "IDBFactory" "\0"
  /*  7131 */ "IDBIndex" "\0"
  /*  7140 */ "IDBKeyRange" "\0"
  /*  7152 */ "IDBObjectStore" "\0"
  /*  7167 */ "IDBOpenDBRequest" "\0"
  /*  7184 */ "IDBRequest" "\0"
  /*  7195 */ "IDBTransaction" "\0"
  /*  7210 */ "IDBVersionChangeEvent" "\0"
  /*  7232 */ "IIRFilterNode" "\0"
  /*  7246 */ "IOUtils" "\0"
  /*  7254 */ "IdentityCredential" "\0"
  /*  7273 */ "IdleDeadline" "\0"
  /*  7286 */ "Image" "\0"
  /*  7292 */ "ImageBitmap" "\0"
  /*  7304 */ "ImageBitmapRenderingContext" "\0"
  /*  7332 */ "ImageCapture" "\0"
  /*  7345 */ "ImageCaptureError" "\0"
  /*  7363 */ "ImageCaptureErrorEvent" "\0"
  /*  7386 */ "ImageData" "\0"
  /*  7396 */ "ImageDecoder" "\0"
  /*  7409 */ "ImageDocument" "\0"
  /*  7423 */ "ImageTrack" "\0"
  /*  7434 */ "ImageTrackList" "\0"
  /*  7449 */ "InputEvent" "\0"
  /*  7460 */ "InspectorCSSParser" "\0"
  /*  7479 */ "InspectorFontFace" "\0"
  /*  7497 */ "InspectorUtils" "\0"
  /*  7512 */ "InstallTriggerImpl" "\0"
  /*  7531 */ "IntersectionObserver" "\0"
  /*  7552 */ "IntersectionObserverEntry" "\0"
  /*  7578 */ "IntlUtils" "\0"
  /*  7588 */ "InvokeEvent" "\0"
  /*  7600 */ "JSProcessActorChild" "\0"
  /*  7620 */ "JSProcessActorParent" "\0"
  /*  7641 */ "JSWindowActorChild" "\0"
  /*  7660 */ "JSWindowActorParent" "\0"
  /*  7680 */ "KeyEvent" "\0"
  /*  7689 */ "KeyboardEvent" "\0"
  /*  7703 */ "KeyframeEffect" "\0"
  /*  7718 */ "L10nFileSource" "\0"
  /*  7733 */ "L10nOverlays" "\0"
  /*  7746 */ "L10nRegistry" "\0"
  /*  7759 */ "LargestContentfulPaint" "\0"
  /*  7782 */ "LegacyMozTCPSocket" "\0"
  /*  7801 */ "Localization" "\0"
  /*  7814 */ "Location" "\0"
  /*  7823 */ "Lock" "\0"
  /*  7828 */ "LockManager" "\0"
  /*  7840 */ "MIDIAccess" "\0"
  /*  7851 */ "MIDIConnectionEvent" "\0"
  /*  7871 */ "MIDIInput" "\0"
  /*  7881 */ "MIDIInputMap" "\0"
  /*  7894 */ "MIDIMessageEvent" "\0"
  /*  7911 */ "MIDIOutput" "\0"
  /*  7922 */ "MIDIOutputMap" "\0"
  /*  7936 */ "MIDIPort" "\0"
  /*  7945 */ "MOZ_debug" "\0"
  /*  7955 */ "MatchGlob" "\0"
  /*  7965 */ "MatchPattern" "\0"
  /*  7978 */ "MatchPatternSet" "\0"
  /*  7994 */ "MathMLElement" "\0"
  /*  8008 */ "MediaCapabilities" "\0"
  /*  8026 */ "MediaControlService" "\0"
  /*  8046 */ "MediaController" "\0"
  /*  8062 */ "MediaDeviceInfo" "\0"
  /*  8078 */ "MediaDevices" "\0"
  /*  8091 */ "MediaElementAudioSourceNode" "\0"
  /*  8119 */ "MediaEncryptedEvent" "\0"
  /*  8139 */ "MediaError" "\0"
  /*  8150 */ "MediaKeyError" "\0"
  /*  8164 */ "MediaKeyMessageEvent" "\0"
  /*  8185 */ "MediaKeySession" "\0"
  /*  8201 */ "MediaKeyStatusMap" "\0"
  /*  8219 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8246 */ "MediaKeySystemAccess" "\0"
  /*  8267 */ "MediaKeys" "\0"
  /*  8277 */ "MediaList" "\0"
  /*  8287 */ "MediaMetadata" "\0"
  /*  8301 */ "MediaQueryList" "\0"
  /*  8316 */ "MediaQueryListEvent" "\0"
  /*  8336 */ "MediaRecorder" "\0"
  /*  8350 */ "MediaRecorderErrorEvent" "\0"
  /*  8374 */ "MediaSession" "\0"
  /*  8387 */ "MediaSource" "\0"
  /*  8399 */ "MediaStream" "\0"
  /*  8411 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8443 */ "MediaStreamAudioSourceNode" "\0"
  /*  8470 */ "MediaStreamError" "\0"
  /*  8487 */ "MediaStreamEvent" "\0"
  /*  8504 */ "MediaStreamTrack" "\0"
  /*  8521 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8553 */ "MediaStreamTrackEvent" "\0"
  /*  8575 */ "MerchantValidationEvent" "\0"
  /*  8599 */ "MessageBroadcaster" "\0"
  /*  8618 */ "MessageChannel" "\0"
  /*  8633 */ "MessageEvent" "\0"
  /*  8646 */ "MessageListenerManager" "\0"
  /*  8669 */ "MessagePort" "\0"
  /*  8681 */ "MessageSender" "\0"
  /*  8695 */ "MimeType" "\0"
  /*  8704 */ "MimeTypeArray" "\0"
  /*  8718 */ "MouseEvent" "\0"
  /*  8729 */ "MouseScrollEvent" "\0"
  /*  8746 */ "MozCanvasPrintState" "\0"
  /*  8766 */ "MozDocumentMatcher" "\0"
  /*  8785 */ "MozDocumentObserver" "\0"
  /*  8805 */ "MozQueryInterface" "\0"
  /*  8823 */ "MozSharedMap" "\0"
  /*  8836 */ "MozSharedMap Iterator" "\0"
  /*  8858 */ "MozSharedMapChangeEvent" "\0"
  /*  8882 */ "MozStorageAsyncStatementParams" "\0"
  /*  8913 */ "MozStorageStatementParams" "\0"
  /*  8939 */ "MozStorageStatementRow" "\0"
  /*  8962 */ "MozWritableSharedMap" "\0"
  /*  8983 */ "MutationEvent" "\0"
  /*  8997 */ "MutationObserver" "\0"
  /*  9014 */ "MutationRecord" "\0"
  /*  9029 */ "NamedNodeMap" "\0"
  /*  9042 */ "NavigateEvent" "\0"
  /*  9056 */ "Navigation" "\0"
  /*  9067 */ "NavigationActivation" "\0"
  /*  9088 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9122 */ "NavigationDestination" "\0"
  /*  9144 */ "NavigationHistoryEntry" "\0"
  /*  9167 */ "NavigationPreloadManager" "\0"
  /*  9192 */ "NavigationTransition" "\0"
  /*  9213 */ "Navigator" "\0"
  /*  9223 */ "NetworkInformation" "\0"
  /*  9242 */ "Node" "\0"
  /*  9247 */ "NodeFilter" "\0"
  /*  9258 */ "NodeIterator" "\0"
  /*  9271 */ "NodeList" "\0"
  /*  9280 */ "Notification" "\0"
  /*  9293 */ "NotificationEvent" "\0"
  /*  9311 */ "NotifyPaintEvent" "\0"
  /*  9328 */ "OES_draw_buffers_indexed" "\0"
  /*  9353 */ "OES_element_index_uint" "\0"
  /*  9376 */ "OES_fbo_render_mipmap" "\0"
  /*  9398 */ "OES_standard_derivatives" "\0"
  /*  9423 */ "OES_texture_float" "\0"
  /*  9441 */ "OES_texture_float_linear" "\0"
  /*  9466 */ "OES_texture_half_float" "\0"
  /*  9489 */ "OES_texture_half_float_linear" "\0"
  /*  9519 */ "OES_vertex_array_object" "\0"
  /*  9543 */ "OVR_multiview2" "\0"
  /*  9558 */ "OfflineAudioCompletionEvent" "\0"
  /*  9586 */ "OfflineAudioContext" "\0"
  /*  9606 */ "OffscreenCanvas" "\0"
  /*  9622 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9656 */ "Option" "\0"
  /*  9663 */ "OscillatorNode" "\0"
  /*  9678 */ "PageTransitionEvent" "\0"
  /*  9698 */ "PaintRequest" "\0"
  /*  9711 */ "PaintRequestList" "\0"
  /*  9728 */ "PaintWorkletGlobalScope" "\0"
  /*  9752 */ "PannerNode" "\0"
  /*  9763 */ "ParentProcessMessageManager" "\0"
  /*  9791 */ "Path2D" "\0"
  /*  9798 */ "PathUtils" "\0"
  /*  9808 */ "PaymentAddress" "\0"
  /*  9823 */ "PaymentMethodChangeEvent" "\0"
  /*  9848 */ "PaymentRequest" "\0"
  /*  9863 */ "PaymentRequestUpdateEvent" "\0"
  /*  9889 */ "PaymentResponse" "\0"
  /*  9905 */ "Performance" "\0"
  /*  9917 */ "PerformanceEntry" "\0"
  /*  9934 */ "PerformanceEntryEvent" "\0"
  /*  9956 */ "PerformanceEventTiming" "\0"
  /*  9979 */ "PerformanceMark" "\0"
  /*  9995 */ "PerformanceMeasure" "\0"
  /* 10014 */ "PerformanceNavigation" "\0"
  /* 10036 */ "PerformanceNavigationTiming" "\0"
  /* 10064 */ "PerformanceObserver" "\0"
  /* 10084 */ "PerformanceObserverEntryList" "\0"
  /* 10113 */ "PerformancePaintTiming" "\0"
  /* 10136 */ "PerformanceResourceTiming" "\0"
  /* 10162 */ "PerformanceServerTiming" "\0"
  /* 10186 */ "PerformanceTiming" "\0"
  /* 10204 */ "PeriodicWave" "\0"
  /* 10217 */ "PermissionStatus" "\0"
  /* 10234 */ "Permissions" "\0"
  /* 10246 */ "PlacesBookmark" "\0"
  /* 10261 */ "PlacesBookmarkAddition" "\0"
  /* 10284 */ "PlacesBookmarkChanged" "\0"
  /* 10306 */ "PlacesBookmarkGuid" "\0"
  /* 10325 */ "PlacesBookmarkKeyword" "\0"
  /* 10347 */ "PlacesBookmarkMoved" "\0"
  /* 10367 */ "PlacesBookmarkRemoved" "\0"
  /* 10389 */ "PlacesBookmarkTags" "\0"
  /* 10408 */ "PlacesBookmarkTime" "\0"
  /* 10427 */ "PlacesBookmarkTitle" "\0"
  /* 10447 */ "PlacesBookmarkUrl" "\0"
  /* 10465 */ "PlacesEvent" "\0"
  /* 10477 */ "PlacesEventCounts" "\0"
  /* 10495 */ "PlacesFavicon" "\0"
  /* 10509 */ "PlacesHistoryCleared" "\0"
  /* 10530 */ "PlacesObservers" "\0"
  /* 10546 */ "PlacesPurgeCaches" "\0"
  /* 10564 */ "PlacesRanking" "\0"
  /* 10578 */ "PlacesVisit" "\0"
  /* 10590 */ "PlacesVisitRemoved" "\0"
  /* 10609 */ "PlacesVisitTitle" "\0"
  /* 10626 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10652 */ "Plugin" "\0"
  /* 10659 */ "PluginArray" "\0"
  /* 10671 */ "PluginCrashedEvent" "\0"
  /* 10690 */ "PointerEvent" "\0"
  /* 10703 */ "PopStateEvent" "\0"
  /* 10717 */ "PopupBlockedEvent" "\0"
  /* 10735 */ "PopupPositionedEvent" "\0"
  /* 10756 */ "PositionStateEvent" "\0"
  /* 10775 */ "PrecompiledScript" "\0"
  /* 10793 */ "PrivateAttribution" "\0"
  /* 10812 */ "ProcessMessageManager" "\0"
  /* 10834 */ "ProcessingInstruction" "\0"
  /* 10856 */ "ProgressEvent" "\0"
  /* 10870 */ "PromiseDebugging" "\0"
  /* 10887 */ "PromiseNativeHandler" "\0"
  /* 10908 */ "PromiseRejectionEvent" "\0"
  /* 10930 */ "PublicKeyCredential" "\0"
  /* 10950 */ "PushEvent" "\0"
  /* 10960 */ "PushManager" "\0"
  /* 10972 */ "PushManagerImpl" "\0"
  /* 10988 */ "PushMessageData" "\0"
  /* 11004 */ "PushSubscription" "\0"
  /* 11021 */ "PushSubscriptionOptions" "\0"
  /* 11045 */ "RadioNodeList" "\0"
  /* 11059 */ "Range" "\0"
  /* 11065 */ "ReadableByteStreamController" "\0"
  /* 11094 */ "ReadableStream" "\0"
  /* 11109 */ "ReadableStream AsyncIterator" "\0"
  /* 11138 */ "ReadableStreamBYOBReader" "\0"
  /* 11163 */ "ReadableStreamBYOBRequest" "\0"
  /* 11189 */ "ReadableStreamDefaultController" "\0"
  /* 11221 */ "ReadableStreamDefaultReader" "\0"
  /* 11249 */ "Report" "\0"
  /* 11256 */ "ReportBody" "\0"
  /* 11267 */ "ReportingObserver" "\0"
  /* 11285 */ "Request" "\0"
  /* 11293 */ "ResizeObserver" "\0"
  /* 11308 */ "ResizeObserverEntry" "\0"
  /* 11328 */ "ResizeObserverSize" "\0"
  /* 11347 */ "Response" "\0"
  /* 11356 */ "SVGAElement" "\0"
  /* 11368 */ "SVGAngle" "\0"
  /* 11377 */ "SVGAnimateElement" "\0"
  /* 11395 */ "SVGAnimateMotionElement" "\0"
  /* 11419 */ "SVGAnimateTransformElement" "\0"
  /* 11446 */ "SVGAnimatedAngle" "\0"
  /* 11463 */ "SVGAnimatedBoolean" "\0"
  /* 11482 */ "SVGAnimatedEnumeration" "\0"
  /* 11505 */ "SVGAnimatedInteger" "\0"
  /* 11524 */ "SVGAnimatedLength" "\0"
  /* 11542 */ "SVGAnimatedLengthList" "\0"
  /* 11564 */ "SVGAnimatedNumber" "\0"
  /* 11582 */ "SVGAnimatedNumberList" "\0"
  /* 11604 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11635 */ "SVGAnimatedRect" "\0"
  /* 11651 */ "SVGAnimatedString" "\0"
  /* 11669 */ "SVGAnimatedTransformList" "\0"
  /* 11694 */ "SVGAnimationElement" "\0"
  /* 11714 */ "SVGCircleElement" "\0"
  /* 11731 */ "SVGClipPathElement" "\0"
  /* 11750 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11786 */ "SVGDefsElement" "\0"
  /* 11801 */ "SVGDescElement" "\0"
  /* 11816 */ "SVGElement" "\0"
  /* 11827 */ "SVGEllipseElement" "\0"
  /* 11845 */ "SVGFEBlendElement" "\0"
  /* 11863 */ "SVGFEColorMatrixElement" "\0"
  /* 11887 */ "SVGFEComponentTransferElement" "\0"
  /* 11917 */ "SVGFECompositeElement" "\0"
  /* 11939 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11966 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11994 */ "SVGFEDisplacementMapElement" "\0"
  /* 12022 */ "SVGFEDistantLightElement" "\0"
  /* 12047 */ "SVGFEDropShadowElement" "\0"
  /* 12070 */ "SVGFEFloodElement" "\0"
  /* 12088 */ "SVGFEFuncAElement" "\0"
  /* 12106 */ "SVGFEFuncBElement" "\0"
  /* 12124 */ "SVGFEFuncGElement" "\0"
  /* 12142 */ "SVGFEFuncRElement" "\0"
  /* 12160 */ "SVGFEGaussianBlurElement" "\0"
  /* 12185 */ "SVGFEImageElement" "\0"
  /* 12203 */ "SVGFEMergeElement" "\0"
  /* 12221 */ "SVGFEMergeNodeElement" "\0"
  /* 12243 */ "SVGFEMorphologyElement" "\0"
  /* 12266 */ "SVGFEOffsetElement" "\0"
  /* 12285 */ "SVGFEPointLightElement" "\0"
  /* 12308 */ "SVGFESpecularLightingElement" "\0"
  /* 12337 */ "SVGFESpotLightElement" "\0"
  /* 12359 */ "SVGFETileElement" "\0"
  /* 12376 */ "SVGFETurbulenceElement" "\0"
  /* 12399 */ "SVGFilterElement" "\0"
  /* 12416 */ "SVGForeignObjectElement" "\0"
  /* 12440 */ "SVGGElement" "\0"
  /* 12452 */ "SVGGeometryElement" "\0"
  /* 12471 */ "SVGGradientElement" "\0"
  /* 12490 */ "SVGGraphicsElement" "\0"
  /* 12509 */ "SVGImageElement" "\0"
  /* 12525 */ "SVGLength" "\0"
  /* 12535 */ "SVGLengthList" "\0"
  /* 12549 */ "SVGLineElement" "\0"
  /* 12564 */ "SVGLinearGradientElement" "\0"
  /* 12589 */ "SVGMPathElement" "\0"
  /* 12605 */ "SVGMarkerElement" "\0"
  /* 12622 */ "SVGMaskElement" "\0"
  /* 12637 */ "SVGMatrix" "\0"
  /* 12647 */ "SVGMetadataElement" "\0"
  /* 12666 */ "SVGNumber" "\0"
  /* 12676 */ "SVGNumberList" "\0"
  /* 12690 */ "SVGPathElement" "\0"
  /* 12705 */ "SVGPatternElement" "\0"
  /* 12723 */ "SVGPoint" "\0"
  /* 12732 */ "SVGPointList" "\0"
  /* 12745 */ "SVGPolygonElement" "\0"
  /* 12763 */ "SVGPolylineElement" "\0"
  /* 12782 */ "SVGPreserveAspectRatio" "\0"
  /* 12805 */ "SVGRadialGradientElement" "\0"
  /* 12830 */ "SVGRect" "\0"
  /* 12838 */ "SVGRectElement" "\0"
  /* 12853 */ "SVGSVGElement" "\0"
  /* 12867 */ "SVGScriptElement" "\0"
  /* 12884 */ "SVGSetElement" "\0"
  /* 12898 */ "SVGStopElement" "\0"
  /* 12913 */ "SVGStringList" "\0"
  /* 12927 */ "SVGStyleElement" "\0"
  /* 12943 */ "SVGSwitchElement" "\0"
  /* 12960 */ "SVGSymbolElement" "\0"
  /* 12977 */ "SVGTSpanElement" "\0"
  /* 12993 */ "SVGTextContentElement" "\0"
  /* 13015 */ "SVGTextElement" "\0"
  /* 13030 */ "SVGTextPathElement" "\0"
  /* 13049 */ "SVGTextPositioningElement" "\0"
  /* 13075 */ "SVGTitleElement" "\0"
  /* 13091 */ "SVGTransform" "\0"
  /* 13104 */ "SVGTransformList" "\0"
  /* 13121 */ "SVGUnitTypes" "\0"
  /* 13134 */ "SVGUseElement" "\0"
  /* 13148 */ "SVGViewElement" "\0"
  /* 13163 */ "Sanitizer" "\0"
  /* 13173 */ "Scheduler" "\0"
  /* 13183 */ "Screen" "\0"
  /* 13190 */ "ScreenLuminance" "\0"
  /* 13206 */ "ScreenOrientation" "\0"
  /* 13224 */ "ScriptProcessorNode" "\0"
  /* 13244 */ "ScrollAreaEvent" "\0"
  /* 13260 */ "ScrollViewChangeEvent" "\0"
  /* 13282 */ "SecurityPolicyViolationEvent" "\0"
  /* 13311 */ "Selection" "\0"
  /* 13321 */ "ServiceWorker" "\0"
  /* 13335 */ "ServiceWorkerContainer" "\0"
  /* 13358 */ "ServiceWorkerGlobalScope" "\0"
  /* 13383 */ "ServiceWorkerRegistration" "\0"
  /* 13409 */ "SessionStoreFormData" "\0"
  /* 13430 */ "SessionStoreScrollData" "\0"
  /* 13453 */ "SessionStoreUtils" "\0"
  /* 13471 */ "ShadowRealmGlobalScope" "\0"
  /* 13494 */ "ShadowRoot" "\0"
  /* 13505 */ "SharedWorker" "\0"
  /* 13518 */ "SharedWorkerGlobalScope" "\0"
  /* 13542 */ "SimpleGestureEvent" "\0"
  /* 13561 */ "SourceBuffer" "\0"
  /* 13574 */ "SourceBufferList" "\0"
  /* 13591 */ "SpeechGrammar" "\0"
  /* 13605 */ "SpeechGrammarList" "\0"
  /* 13623 */ "SpeechRecognition" "\0"
  /* 13641 */ "SpeechRecognitionAlternative" "\0"
  /* 13670 */ "SpeechRecognitionError" "\0"
  /* 13693 */ "SpeechRecognitionEvent" "\0"
  /* 13716 */ "SpeechRecognitionResult" "\0"
  /* 13740 */ "SpeechRecognitionResultList" "\0"
  /* 13768 */ "SpeechSynthesis" "\0"
  /* 13784 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13810 */ "SpeechSynthesisEvent" "\0"
  /* 13831 */ "SpeechSynthesisUtterance" "\0"
  /* 13856 */ "SpeechSynthesisVoice" "\0"
  /* 13877 */ "StaticRange" "\0"
  /* 13889 */ "StereoPannerNode" "\0"
  /* 13906 */ "Storage" "\0"
  /* 13914 */ "StorageEvent" "\0"
  /* 13927 */ "StorageManager" "\0"
  /* 13942 */ "StreamFilter" "\0"
  /* 13955 */ "StreamFilterDataEvent" "\0"
  /* 13977 */ "StructuredCloneHolder" "\0"
  /* 13999 */ "StructuredCloneTester" "\0"
  /* 14021 */ "StyleSheet" "\0"
  /* 14032 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14069 */ "StyleSheetList" "\0"
  /* 14084 */ "StyleSheetRemovedEvent" "\0"
  /* 14107 */ "SubmitEvent" "\0"
  /* 14119 */ "SubtleCrypto" "\0"
  /* 14132 */ "SyncMessageSender" "\0"
  /* 14150 */ "SyncReadFile" "\0"
  /* 14163 */ "TCPServerSocket" "\0"
  /* 14179 */ "TCPServerSocketEvent" "\0"
  /* 14200 */ "TCPSocket" "\0"
  /* 14210 */ "TCPSocketErrorEvent" "\0"
  /* 14230 */ "TCPSocketEvent" "\0"
  /* 14245 */ "TaskController" "\0"
  /* 14260 */ "TaskPriorityChangeEvent" "\0"
  /* 14284 */ "TaskSignal" "\0"
  /* 14295 */ "TelemetryStopwatch" "\0"
  /* 14314 */ "TestUtils" "\0"
  /* 14324 */ "TestingDeprecatedInterface" "\0"
  /* 14351 */ "Text" "\0"
  /* 14356 */ "TextClause" "\0"
  /* 14367 */ "TextDecoder" "\0"
  /* 14379 */ "TextDecoderStream" "\0"
  /* 14397 */ "TextEncoder" "\0"
  /* 14409 */ "TextEncoderStream" "\0"
  /* 14427 */ "TextEvent" "\0"
  /* 14437 */ "TextMetrics" "\0"
  /* 14449 */ "TextTrack" "\0"
  /* 14459 */ "TextTrackCue" "\0"
  /* 14472 */ "TextTrackCueList" "\0"
  /* 14489 */ "TextTrackList" "\0"
  /* 14503 */ "TimeEvent" "\0"
  /* 14513 */ "TimeRanges" "\0"
  /* 14524 */ "ToggleEvent" "\0"
  /* 14536 */ "Touch" "\0"
  /* 14542 */ "TouchEvent" "\0"
  /* 14553 */ "TouchList" "\0"
  /* 14563 */ "TrackEvent" "\0"
  /* 14574 */ "TransformStream" "\0"
  /* 14590 */ "TransformStreamDefaultController" "\0"
  /* 14623 */ "TransitionEvent" "\0"
  /* 14639 */ "TreeColumn" "\0"
  /* 14650 */ "TreeColumns" "\0"
  /* 14662 */ "TreeContentView" "\0"
  /* 14678 */ "TreeWalker" "\0"
  /* 14689 */ "TrustedHTML" "\0"
  /* 14701 */ "TrustedScript" "\0"
  /* 14715 */ "TrustedScriptURL" "\0"
  /* 14732 */ "TrustedTypePolicy" "\0"
  /* 14750 */ "TrustedTypePolicyFactory" "\0"
  /* 14775 */ "UDPMessageEvent" "\0"
  /* 14791 */ "UDPSocket" "\0"
  /* 14801 */ "UIEvent" "\0"
  /* 14809 */ "URL" "\0"
  /* 14813 */ "URLSearchParams" "\0"
  /* 14829 */ "URLSearchParams Iterator" "\0"
  /* 14854 */ "UniFFIPointer" "\0"
  /* 14868 */ "UniFFIScaffolding" "\0"
  /* 14886 */ "UserActivation" "\0"
  /* 14901 */ "UserInteraction" "\0"
  /* 14917 */ "UserProximityEvent" "\0"
  /* 14936 */ "VRDisplay" "\0"
  /* 14946 */ "VRDisplayCapabilities" "\0"
  /* 14968 */ "VRDisplayEvent" "\0"
  /* 14983 */ "VREyeParameters" "\0"
  /* 14999 */ "VRFieldOfView" "\0"
  /* 15013 */ "VRFrameData" "\0"
  /* 15025 */ "VRMockController" "\0"
  /* 15042 */ "VRMockDisplay" "\0"
  /* 15056 */ "VRPose" "\0"
  /* 15063 */ "VRServiceTest" "\0"
  /* 15077 */ "VRStageParameters" "\0"
  /* 15095 */ "VTTCue" "\0"
  /* 15102 */ "VTTRegion" "\0"
  /* 15112 */ "ValidityState" "\0"
  /* 15126 */ "VideoColorSpace" "\0"
  /* 15142 */ "VideoDecoder" "\0"
  /* 15155 */ "VideoEncoder" "\0"
  /* 15168 */ "VideoFrame" "\0"
  /* 15179 */ "VideoPlaybackQuality" "\0"
  /* 15200 */ "VideoTrack" "\0"
  /* 15211 */ "VideoTrackList" "\0"
  /* 15226 */ "ViewTransition" "\0"
  /* 15241 */ "VisualViewport" "\0"
  /* 15256 */ "WEBGL_color_buffer_float" "\0"
  /* 15281 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15311 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15340 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15370 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15401 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15431 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15466 */ "WEBGL_debug_renderer_info" "\0"
  /* 15492 */ "WEBGL_debug_shaders" "\0"
  /* 15512 */ "WEBGL_depth_texture" "\0"
  /* 15532 */ "WEBGL_draw_buffers" "\0"
  /* 15551 */ "WEBGL_explicit_present" "\0"
  /* 15574 */ "WEBGL_lose_context" "\0"
  /* 15593 */ "WEBGL_provoking_vertex" "\0"
  /* 15616 */ "WGSLLanguageFeatures" "\0"
  /* 15637 */ "WakeLock" "\0"
  /* 15646 */ "WakeLockSentinel" "\0"
  /* 15663 */ "WaveShaperNode" "\0"
  /* 15678 */ "WebExtensionContentScript" "\0"
  /* 15704 */ "WebExtensionPolicy" "\0"
  /* 15723 */ "WebGL2RenderingContext" "\0"
  /* 15746 */ "WebGLActiveInfo" "\0"
  /* 15762 */ "WebGLBuffer" "\0"
  /* 15774 */ "WebGLContextEvent" "\0"
  /* 15792 */ "WebGLFramebuffer" "\0"
  /* 15809 */ "WebGLProgram" "\0"
  /* 15822 */ "WebGLQuery" "\0"
  /* 15833 */ "WebGLRenderbuffer" "\0"
  /* 15851 */ "WebGLRenderingContext" "\0"
  /* 15873 */ "WebGLSampler" "\0"
  /* 15886 */ "WebGLShader" "\0"
  /* 15898 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15925 */ "WebGLSync" "\0"
  /* 15935 */ "WebGLTexture" "\0"
  /* 15948 */ "WebGLTransformFeedback" "\0"
  /* 15971 */ "WebGLUniformLocation" "\0"
  /* 15992 */ "WebGLVertexArrayObject" "\0"
  /* 16015 */ "WebKitCSSMatrix" "\0"
  /* 16031 */ "WebSocket" "\0"
  /* 16041 */ "WebTransport" "\0"
  /* 16054 */ "WebTransportBidirectionalStream" "\0"
  /* 16086 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16119 */ "WebTransportError" "\0"
  /* 16137 */ "WebTransportReceiveStream" "\0"
  /* 16163 */ "WebTransportSendStream" "\0"
  /* 16186 */ "WheelEvent" "\0"
  /* 16197 */ "Window" "\0"
  /* 16204 */ "WindowClient" "\0"
  /* 16217 */ "WindowContext" "\0"
  /* 16231 */ "WindowGlobalChild" "\0"
  /* 16249 */ "WindowGlobalParent" "\0"
  /* 16268 */ "WindowRoot" "\0"
  /* 16279 */ "Worker" "\0"
  /* 16286 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16312 */ "WorkerGlobalScope" "\0"
  /* 16330 */ "WorkerLocation" "\0"
  /* 16345 */ "WorkerNavigator" "\0"
  /* 16361 */ "WorkerTestUtils" "\0"
  /* 16377 */ "Worklet" "\0"
  /* 16385 */ "WorkletGlobalScope" "\0"
  /* 16404 */ "WritableStream" "\0"
  /* 16419 */ "WritableStreamDefaultController" "\0"
  /* 16451 */ "WritableStreamDefaultWriter" "\0"
  /* 16479 */ "XMLDocument" "\0"
  /* 16491 */ "XMLHttpRequest" "\0"
  /* 16506 */ "XMLHttpRequestEventTarget" "\0"
  /* 16532 */ "XMLHttpRequestUpload" "\0"
  /* 16553 */ "XMLSerializer" "\0"
  /* 16567 */ "XPathEvaluator" "\0"
  /* 16582 */ "XPathExpression" "\0"
  /* 16598 */ "XPathResult" "\0"
  /* 16610 */ "XRBoundedReferenceSpace" "\0"
  /* 16634 */ "XRFrame" "\0"
  /* 16642 */ "XRInputSource" "\0"
  /* 16656 */ "XRInputSourceArray" "\0"
  /* 16675 */ "XRInputSourceEvent" "\0"
  /* 16694 */ "XRInputSourcesChangeEvent" "\0"
  /* 16720 */ "XRPose" "\0"
  /* 16727 */ "XRReferenceSpace" "\0"
  /* 16744 */ "XRReferenceSpaceEvent" "\0"
  /* 16766 */ "XRRenderState" "\0"
  /* 16780 */ "XRRigidTransform" "\0"
  /* 16797 */ "XRSession" "\0"
  /* 16807 */ "XRSessionEvent" "\0"
  /* 16822 */ "XRSpace" "\0"
  /* 16830 */ "XRSystem" "\0"
  /* 16839 */ "XRView" "\0"
  /* 16846 */ "XRViewerPose" "\0"
  /* 16859 */ "XRViewport" "\0"
  /* 16870 */ "XRWebGLLayer" "\0"
  /* 16883 */ "XSLTProcessor" "\0"
  /* 16897 */ "XULCommandEvent" "\0"
  /* 16913 */ "XULElement" "\0"
  /* 16924 */ "XULFrameElement" "\0"
  /* 16940 */ "XULMenuElement" "\0"
  /* 16955 */ "XULPopupElement" "\0"
  /* 16971 */ "XULResizerElement" "\0"
  /* 16989 */ "XULTextElement" "\0"
  /* 17004 */ "XULTreeElement" "\0"
  /* 17019 */ "console" "\0"
  /* 17027 */ "webkitSpeechGrammar" "\0"
  /* 17047 */ "webkitSpeechGrammarList" "\0"
  /* 17071 */ "webkitSpeechRecognition" "\0"
  /* 17095 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

